import { Fragment, h } from 'preact'
import PropTypes, { oneOfType, shape, string } from 'prop-types'

import SEO from '../../components/Seo'

// import Header from '../../molecules/Header'
import { capitaliseFirstLetter } from '../../helpers/string'

const Page = ({ children, title = '', description, metaImg, backTo, noindex }) => (
  <Fragment>
    <SEO
      title={title.toLowerCase() === 'index' ? title : capitaliseFirstLetter(title)}
      description={description}
      metaImg={metaImg}
      noindex={noindex}
    />
    {/* <Header /> */}
    {children}
  </Fragment>
)

Page.propTypes = {
  children: PropTypes.node.isRequired,
  title: oneOfType([
    string,
    shape({
      en: string,
      fr: string,
    }),
  ]),
  description: string,
  metaImg: string,
}

export default Page
